{"openapi":"3.1.0","info":{"title":"VISO TRUST API Documentation","description":"VISO TRUST","version":"v1.0"},"externalDocs":{"description":"VISO TRUST Support Documentation","url":"https://docs.visotrust.com/"},"servers":[{"url":"https://app.visotrust.com","description":"Generated server url"}],"paths":{"/api/v1/webhooks":{"get":{"tags":["client-api-webhook-rest-resource"],"summary":"Get all webhooks for your organization","operationId":"getAllWebhooksForClient","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Webhook"}}}}}}},"put":{"tags":["client-api-webhook-rest-resource"],"summary":"Update a webhook configuration","operationId":"updateWebhook","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookCreateUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}}}},"post":{"tags":["client-api-webhook-rest-resource"],"summary":"Register a webhook","operationId":"registerWebhook","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookCreateUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}}}}},"/api/v1/third-party-contact":{"put":{"tags":["client-api-relationship-rest-resource"],"summary":"Update third party contact details for a relationship","operationId":"updateThirdPartyContact","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThirdPartyContactUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/relationships":{"get":{"tags":["client-api-relationship-rest-resource"],"summary":"Get a list of all relationships and their assessment details","operationId":"getAllRelationshipsForCurrentUser","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Relationship"}}}}}}},"put":{"tags":["client-api-relationship-rest-resource"],"summary":"Update a relationship","operationId":"updateRelationshipAsCurrentUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipUpdateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}},"post":{"tags":["client-api-relationship-rest-resource"],"summary":"Create a Relationship","operationId":"createRelationshipAsCurrentUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}},"patch":{"tags":["client-api-relationship-rest-resource"],"summary":"Partially update a relationship","operationId":"partiallyUpdateRelationshipAsCurrentUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipUpdateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/relationships/{id}/questionnaires":{"get":{"tags":["client-api-questionnaire-rest-resource"],"summary":"Get all questionnaires available for a relationship.","description":"Returns every active organization-level questionnaire alongside its effective enabled state for the given relationship. A questionnaire is enabled for the relationship when it has been explicitly enabled via `PUT /relationships/{id}/questionnaires`, or when no relationship-level configuration exists and the questionnaire is enabled at the organization level.","operationId":"getQuestionnairesForRelationship","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RelationshipQuestionnaireView"}}}}}}},"put":{"tags":["client-api-questionnaire-rest-resource"],"summary":"Update which questionnaires are enabled for a relationship.","description":"Replaces the relationship's enabled-questionnaire list with the provided ids. Any active organization questionnaire not included in `enabledQuestionnaireIds` is disabled for the relationship.","operationId":"updateQuestionnairesForRelationship","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipQuestionnairesUpdateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RelationshipQuestionnaireView"}}}}}}}},"/api/v1/relationships/{id}/onboard":{"put":{"tags":["client-api-relationship-rest-resource"],"summary":"Onboard a relationship","operationId":"onboardRelationship","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipOnboardRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/relationships/{id}/offboard":{"put":{"tags":["client-api-relationship-rest-resource"],"summary":"Mark a relationship as not onboarded","operationId":"offboardRelationship","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/relationships/{id}/archive":{"put":{"tags":["client-api-relationship-rest-resource"],"summary":"Archive a relationship","operationId":"archiveRelationship","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/relationships/{id}/accept-risk":{"put":{"tags":["client-api-relationship-rest-resource"],"summary":"Accept risk for a relationship","description":"Marks the relationship's risk as accepted by the current user, optionally with a review note and a risk override. The request body is optional. Risk cannot be accepted while the relationship's latest completed assessment has an active remediation request.","operationId":"acceptRelationshipRisk","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipAcceptRiskRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/external-intelligence-reports/security-scorecard/{id}":{"put":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Update an existing SecurityScorecard intelligence report","description":"Replaces every field of the report with the request body; optional fields left out are cleared. Changing `vendorDomain` moves the report to that vendor. The report must already be a SecurityScorecard report.","operationId":"updateSecurityScorecardIntelligenceReport","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecurityScorecardReportCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}},"/api/v1/external-intelligence-reports/recorded-future/{id}":{"put":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Update an existing Recorded Future intelligence report","description":"Replaces every field of the report with the request body; optional fields left out are cleared. Changing `vendorDomain` moves the report to that vendor. The report must already be a Recorded Future report.","operationId":"updateRecordedFutureIntelligenceReport","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordedFutureReportCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}},"/api/v1/external-intelligence-reports/bitsight/{id}":{"put":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Update an existing BitSight intelligence report","description":"Replaces every field of the report with the request body; optional fields left out are cleared. Changing `vendorDomain` moves the report to that vendor. The report must already be a BitSight report.","operationId":"updateBitsightIntelligenceReport","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BitsightReportCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}},"/api/v1/assessments/{id}/summary":{"get":{"tags":["client-api-assessment-rest-resource"],"summary":"Get the summary for an assessment","description":"Returns the assessment summary as the stored HTML report by default. If the summary has been edited, the\nedit is returned.\n\nPass `format=markdown` to get the same content as Markdown instead — headings, lists and tables are\npreserved, but the markup and styling are not, so the summary can be read as text or fed to another\nsystem without stripping HTML first.","operationId":"getAssessmentSummary","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"format","in":"query","description":"The format to render the summary in","required":false,"schema":{"type":"string","default":"html","enum":["html","markdown"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssessmentSummaryView"}}}}}},"put":{"tags":["client-api-assessment-rest-resource"],"summary":"Update the summary for an assessment","description":"Replaces the assessment summary with an edited version, the same as editing it in the app. The generated\nsummary is kept: the edit is shown in its place, is recorded in the summary's edit history, and is discarded\nwhen the summary is regenerated (which happens automatically when a new assessment completes). Only the\nsummary of a completed assessment that has an AI-generated summary can be edited.\n\nSend the summary as Markdown (`format=markdown`) to have it rendered with the report's styling, or as HTML.\nEither way, unsupported markup (scripts, event handlers, external stylesheets, remote images and so on) is\nremoved before the summary is stored. Images must be embedded as `data:` URIs.\n\nTo avoid overwriting a summary that changed after you read it, pass the `version` from the read; the update\nis then rejected with 409 Conflict if the summary is no longer that version.\n\nReturns the updated summary in the same format it was sent in.","operationId":"updateAssessmentSummary","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssessmentSummaryInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssessmentSummaryView"}}}}}}},"/api/v1/assessments/{id}/followup":{"put":{"tags":["client-api-assessment-rest-resource"],"summary":"Update the follow-up settings of an in-progress assessment","operationId":"updateFollowup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssessmentFollowupInput"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/assessments/{id}/expiration-date":{"put":{"tags":["client-api-assessment-rest-resource"],"summary":"Update the expiration date of an in-progress assessment","operationId":"updateExpirationDate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssessmentExpirationInput"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users":{"get":{"tags":["client-api-user-rest-resource"],"summary":"Get all users in your organization","operationId":"getAllUsers","parameters":[{"name":"page","in":"query","description":"Results page you want to retrieve (0..N)","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page","schema":{"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","schema":{"type":"string"},"example":"lastName,asc"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}}}},"post":{"tags":["client-api-user-rest-resource"],"summary":"Create a user in your organization","description":"Creates a user in your organization. The email must belong to one of your organization's domains.\n\nOptionally pass `businessUnit` with the name of an existing business unit (case-insensitive) to assign the\nuser to it; use `GET /api/v1/business-units` to list the available names. If omitted, the user is assigned\nto the Unassigned business unit.","operationId":"createUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/api/v1/tags":{"post":{"tags":["client-api-relationship-rest-resource"],"summary":"Create tags","operationId":"createTagsAsCurrentUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagsCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"uniqueItems":true}}}}}}},"/api/v1/relationships/search":{"get":{"tags":["client-api-relationship-rest-resource"],"summary":"Search for relationships by domain/name (deprecated)","operationId":"getSearchRelationshipsAsCurrentUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipSearchInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Relationship"},"uniqueItems":true}}}}},"deprecated":true},"post":{"tags":["client-api-relationship-rest-resource"],"summary":"Search for relationships by filter criteria","operationId":"searchRelationshipsAsCurrentUser","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"page","in":"query","description":"Results page you want to retrieve (0..N)","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of records per page (max 500)","schema":{"type":"integer","default":100}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Supported properties: name, externalId, score, createdDate, onboardedDate, recertificationDate.","schema":{"type":"string"},"example":"createdDate,desc"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RelationshipSearchInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Relationship"}}}}}}}},"/api/v1/relationships/domain":{"post":{"tags":["client-api-relationship-rest-resource"],"summary":"Create a Relationship by domain","operationId":"createRelationshipAsCurrentUserByDomain","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRelationshipByDomainRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/external-intelligence-reports/security-scorecard":{"post":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Create a new SecurityScorecard intelligence report","operationId":"createSecurityScorecardIntelligenceReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecurityScorecardReportCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}},"/api/v1/external-intelligence-reports/security-scorecard/bulk":{"post":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Bulk create SecurityScorecard intelligence reports","operationId":"bulkCreateSecurityScorecardIntelligenceReports","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SecurityScorecardReportCreateInput"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkExternalIntelligenceReportResponse"}}}}}}},"/api/v1/external-intelligence-reports/recorded-future":{"post":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Create a new Recorded Future intelligence report","operationId":"createRecordedFutureIntelligenceReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordedFutureReportCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}},"/api/v1/external-intelligence-reports/recorded-future/bulk":{"post":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Bulk create Recorded Future intelligence reports","operationId":"bulkCreateRecordedFutureIntelligenceReports","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RecordedFutureReportCreateInput"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkExternalIntelligenceReportResponse"}}}}}}},"/api/v1/external-intelligence-reports/bitsight":{"post":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Create a new BitSight intelligence report","operationId":"createBitsightIntelligenceReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BitsightReportCreateInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}},"/api/v1/external-intelligence-reports/bitsight/bulk":{"post":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Bulk create BitSight intelligence reports","operationId":"bulkCreateBitsightIntelligenceReports","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BitsightReportCreateInput"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkExternalIntelligenceReportResponse"}}}}}}},"/api/v1/chat":{"post":{"tags":["client-api-chat-rest-resource"],"summary":"Chat with VISO Agent","operationId":"chat","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VisoAgentClientChatRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VisoAgentClientApiChatResponse"}}}}}}},"/api/v1/audit-log/user-events":{"post":{"tags":["client-api-audit-log-rest-resource"],"summary":"Get all user audit log events for your organization in the time frame, limited to 500 records","operationId":"getAllAuditLogEventsRest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditLogFilterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserAuditEvent"}}}}}}}},"/api/v1/audit-log/events":{"post":{"tags":["client-api-audit-log-rest-resource"],"summary":"Get filtered audit log events based on specific types and categories for your organization, limited to 500 records","operationId":"getFilteredAuditLogEventsRest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditLogFilterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AuditEvent"}}}}}}}},"/api/v1/assessments":{"post":{"tags":["client-api-assessment-rest-resource"],"summary":"Start an Assessment","operationId":"createAssessment","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"request":{"type":"string","description":"Information necessary to start the assessment.\n\nRecipient details are optional. When all of `recipientEmail`, `recipientFirstName`, and `recipientLastName`\nare omitted, the assessment is started in research mode (no vendor contact). Research-mode assessments\nmay also include any combination of uploaded `files` and/or `publicDocumentUrls`; if neither is provided,\nVISO will run public information search only.\n\nExample (vendor-contact assessment):\n{\n    \"relationshipId\": 1,\n    \"recipientEmail\": \"dan@example.com\",\n    \"recipientFirstName\": \"Dan\",\n    \"recipientLastName\": \"Example\",\n    \"publicDocumentUrls\": [\"google.com\"],\n    \"followupType\": \"MANUAL\",\n    \"followupRiskThreshold\": null,\n    \"followupTimeline\": null,\n    \"collectionTimeline\": null,\n    \"noVendorResponseAction\": null,\n    \"aiProcessingOnly\": false,\n    \"questionnaires\": [\"00000000-0000-0000-0000-000000000000\"]\n}\n\nExample (research-only assessment):\n{\n    \"relationshipId\": 1\n}"},"files":{"type":"array","description":"Any files to associate with the assessment","items":{"type":"string","format":"binary"}}},"required":["request"]},"encoding":{"request":{"contentType":"multipart/form-data"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Assessment"}}}}}}},"/api/v1/webhooks/{webhookId}":{"get":{"tags":["client-api-webhook-rest-resource"],"summary":"Get webhook by id for your organization","operationId":"getWebhookByIdForClient","parameters":[{"name":"webhookId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhook"}}}}}},"delete":{"tags":["client-api-webhook-rest-resource"],"summary":"Un-register a webhook","operationId":"deleteWebhook","parameters":[{"name":"webhookId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/vendors/{id}/risk-summary":{"get":{"tags":["client-api-vendor-risk-summary-rest-resource"],"summary":"Get vendor risk summary by vendor ID","operationId":"getVendorRiskSummaryById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorRiskSummaryResponse"}}}}}}},"/api/v1/vendors/{id}/risk-advisories":{"get":{"tags":["client-api-risk-advisory-rest-resource"],"summary":"Get all risk advisories for a vendor by vendor ID","operationId":"getRiskAdvisoriesByVendorId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RiskAdvisoryClientView"}}}}}}}},"/api/v1/vendors/risk-summary":{"get":{"tags":["client-api-vendor-risk-summary-rest-resource"],"summary":"Get vendor risk summary by vendor name or domain","operationId":"getVendorRiskSummaryByNameOrDomain","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"domain","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorRiskSummaryResponse"}}}}}}},"/api/v1/users/{email}":{"get":{"tags":["client-api-user-rest-resource"],"summary":"Get user by email","operationId":"getUserByEmail","parameters":[{"name":"email","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/api/v1/relationships/{id}":{"get":{"tags":["client-api-relationship-rest-resource"],"summary":"Get a relationship and its assessment details","operationId":"getRelationshipForCurrentUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Relationship"}}}}}}},"/api/v1/relationships/{id}/risk-advisories":{"get":{"tags":["client-api-risk-advisory-rest-resource"],"summary":"Get all risk advisories for a vendor by relationship ID","operationId":"getRiskAdvisoriesByRelationshipId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RiskAdvisoryClientView"}}}}}}}},"/api/v1/relationships/{id}/artifacts":{"get":{"tags":["client-api-relationship-rest-resource"],"summary":"Download active artifacts for a relationship as a zip","operationId":"downloadRelationshipArtifacts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/zip":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}}}},"/api/v1/relationship/{id}/assessments":{"get":{"tags":["client-api-relationship-rest-resource"],"summary":"Get assessment history for a relationship","operationId":"getAssessmentsForRelationship","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Assessment"},"uniqueItems":true}}}}}}},"/api/v1/questionnaires":{"get":{"tags":["client-api-questionnaire-rest-resource"],"summary":"Get all questionnaires available to your organization.","description":"Returns the active questionnaires configured for your organization. Use `GET /relationships/{id}/questionnaires` to see which questionnaires are enabled for a particular relationship, and `PUT /relationships/{id}/questionnaires` to enable or disable them per relationship before passing their ids to the Start Assessment endpoint via the `questionnaires` field.","operationId":"getAllQuestionnairesForCurrentClient","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/QuestionnaireView"}}}}}}}},"/api/v1/external-intelligence-reports/{id}":{"get":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Get an intelligence report by ID","operationId":"getIntelligenceReport","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}},"delete":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Delete an intelligence report","description":"Permanently deletes an external intelligence report from any provider. This cannot be undone.","operationId":"deleteIntelligenceReport","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/external-intelligence-reports/vendor/{vendorDomain}":{"get":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Get all intelligence reports for a specific vendor","operationId":"getIntelligenceReportsByVendor","parameters":[{"name":"vendorDomain","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}}},"/api/v1/external-intelligence-reports/vendor/{vendorDomain}/latest/{source}":{"get":{"tags":["client-api-external-intelligence-report-rest-resource"],"summary":"Get the latest intelligence report for a vendor from a specific source","operationId":"getLatestIntelligenceReport","parameters":[{"name":"vendorDomain","in":"path","required":true,"schema":{"type":"string"}},{"name":"source","in":"path","required":true,"schema":{"type":"string","enum":["SECURITY_SCORECARD","BITSIGHT","RECORDED_FUTURE"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntelligenceReportClientView"}}}}}}},"/api/v1/directory/search":{"get":{"tags":["client-api-vendor-directory-rest-resource"],"summary":"Look up a vendor in the VISO TRUST directory by domain or URL","operationId":"getVendorDirectoryByDomainOrUrl","parameters":[{"name":"urlOrDomain","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorDirectoryView"}}}}}}},"/api/v1/data-types":{"get":{"tags":["client-api-data-type-rest-resource"],"summary":"Get all data types for your organization.","operationId":"getAllDataTypesForCurrentClient","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataTypeView"}}}}}}}},"/api/v1/business-units":{"get":{"tags":["client-api-business-unit-rest-resource"],"summary":"Get all business units for your organization, sorted by name.","operationId":"getAllBusinessUnits","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BusinessUnit"}}}}}}}},"/api/v1/business-cases":{"get":{"tags":["client-api-context-type-rest-resource"],"summary":"Get all business cases for your organization.","operationId":"getAllContextTypes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContextTypeView"}}}}}}}},"/api/v1/assessments/{id}":{"get":{"tags":["client-api-assessment-rest-resource"],"summary":"Get an assessment","operationId":"getAssessment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Assessment"}}}}}}},"/api/v1/assessments/{id}/summary/export":{"get":{"tags":["client-api-assessment-rest-resource"],"summary":"Export the LLM assessment summary as a PDF","operationId":"exportSummaryPdf","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/pdf":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}}}},"/api/v1/assessments/{id}/artifacts":{"get":{"tags":["client-api-assessment-rest-resource"],"summary":"Download artifacts for an assessment as a zip","operationId":"downloadAssessmentArtifacts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/zip":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}}}}},"components":{"schemas":{"WebhookCreateUpdateRequest":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"serviceType":{"type":"string","enum":["GENERIC","SLACK","DISCORD","TEAMS","WORKATO"]},"webhookUrl":{"type":"string"},"description":{"type":"string"},"eventTypes":{"type":"array","items":{"type":"string","enum":["ASSESSMENT_COMPLETED","ASSESSMENT_RECERTIFICATION_COMPLETED","ASSESSMENT_REMEDIATION_COMPLETED","ASSESSMENT_ARTIFACT_UPDATE_COMPLETED","DOCS_ONLY_ARTIFACT_UPDATE_COMPLETED","ASSESSMENT_REMINDER","ASSESSMENT_GENERATED_SUMMARY_CREATED","ASSESSMENT_CANCELLED","ASSESSMENT_CANCELLED_BY_AUDITOR","ASSESSMENT_AUTOMATICALLY_CANCELLED","ASSESSMENT_EMAIL_BOUNCED","UPCOMING_RECERTIFICATION","RELATIONSHIP_ONBOARDED","RISK_ACCEPTED","RELATIONSHIP_OVERDUE","ARTIFACT_EXPIRING","ARTIFACT_EXPIRED"]},"uniqueItems":true}}},"Webhook":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"eventTypes":{"type":"array","description":"The events that will trigger this webhook.","items":{"type":"string"},"uniqueItems":true},"description":{"type":"string"},"firstFailureAt":{"type":"string","format":"date-time","description":"When the current run of failed deliveries began, or null when the last delivery succeeded."},"consecutiveFailureCount":{"type":"integer","format":"int32","description":"Consecutive delivery attempts that have failed. Reset to 0 by a successful delivery or by updating the webhook."},"webhookUrl":{"type":"string"},"serviceType":{"type":"string","enum":["GENERIC","SLACK","DISCORD","TEAMS","WORKATO"]}}},"ThirdPartyContactUpdateRequest":{"type":"object","properties":{"relationshipId":{"type":"integer","format":"int64"},"email":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"}},"required":["email","firstName","lastName","relationshipId"]},"Assessment":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"summary":{"type":"string","deprecated":true},"sentBy":{"$ref":"#/components/schemas/VisoUser"},"status":{"type":"string","enum":["NOT_ASSESSED","AWAITING_REMEDIATION","STARTED","REVIEW_STARTED","AUDIT_COMPLETED","COMPLETED","CANCELLED","DELETED","COLLECTING_INFORMATION","EXPIRED"]},"updatedDate":{"type":"string","format":"date-time"},"sentToEmail":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"expirationDate":{"type":"string","format":"date-time"},"completedDate":{"type":"string","format":"date-time"},"requestedAuditTypes":{"type":"array","items":{"type":"string"},"uniqueItems":true},"aiProcessingOnly":{"type":"boolean"},"noVendorResponseAction":{"type":"string","enum":["CLOSE_COLLECTION_REQUEST","NOTIFY_ME"]},"collectionTimeline":{"type":"string","enum":["SEVEN_DAYS","FOURTEEN_DAYS","THIRTY_DAYS","SIXTY_DAYS","NINETY_DAYS","ONE_HUNDRED_TWENTY_DAYS"]},"followupTimeline":{"type":"string","enum":["SEVEN_DAYS","FOURTEEN_DAYS","THIRTY_DAYS","SIXTY_DAYS","NINETY_DAYS"]},"followupRiskThreshold":{"type":"string","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]},"followupType":{"type":"string","enum":["MANUAL","AUTOMATIC","CONCIERGE"]},"assessmentType":{"type":"string"},"statusHistories":{"type":"array","items":{"$ref":"#/components/schemas/AssessmentStatusHistory"},"uniqueItems":true},"createdReason":{"type":"string","enum":["INITIAL_ASSESSMENT","ARTIFACTS_EXPIRED","RECERTIFICATION_INITIATED","BUSINESS_CASE_OR_DATA_TYPES_CHANGED","THIRD_PARTY_CONTACT_UPDATED","ARTIFACTS_UPLOADED_ON_RELATIONSHIP","REMEDIATION","RISK_ADVISORY_RESPONSE","INSTANT_ANALYSIS","PUBLIC_SEARCH"]},"sentToFirstName":{"type":"string"},"sentToLastName":{"type":"string"},"recommendations":{"type":"array","items":{"$ref":"#/components/schemas/AssessmentRecommendation"},"uniqueItems":true},"phaseDate":{"type":"string","format":"date-time"},"requestedArtifactCollection":{"type":"boolean"}}},"AssessmentRecommendation":{"type":"object","properties":{"description":{"type":"string"},"recommendationType":{"type":"string","enum":["EXPIRED","HIGH_ASSURANCE","CONTROL_DOMAINS","COMBINED","CERT_ONLY","LOW_COVERAGE","PRESUMED_ARTIFACT"]},"createdDate":{"type":"string","format":"date-time"}}},"AssessmentStatusHistory":{"type":"object","properties":{"date":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["NOT_ASSESSED","AWAITING_REMEDIATION","STARTED","REVIEW_STARTED","AUDIT_COMPLETED","COMPLETED","CANCELLED","DELETED","COLLECTING_INFORMATION","EXPIRED"]}}},"PrimaryContact":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"}}},"Relationship":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"homepage":{"type":"string"},"description":{"type":"string"},"businessUnit":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"updatedDate":{"type":"string","format":"date-time"},"recertificationDate":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["ARCHIVED","NOT_ONBOARDED","ONBOARDED","PURGED"]},"inherentRisk":{"type":"string","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]},"inherentRiskScore":{"type":"number","format":"float"},"residualRisk":{"type":"string","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]},"residualRiskScore":{"type":"number","format":"float"},"isTransitional":{"type":"boolean"},"contextTypes":{"type":"array","items":{"$ref":"#/components/schemas/SlimContextTypeView"},"uniqueItems":true},"dataTypes":{"type":"array","items":{"$ref":"#/components/schemas/SlimDataTypeView"},"uniqueItems":true},"businessOwner":{"$ref":"#/components/schemas/VisoUser"},"assessmentLead":{"$ref":"#/components/schemas/VisoUser"},"recertificationType":{"type":"string","enum":["MANUAL","AUTOMATIC","NONE"]},"subscribers":{"type":"array","items":{"$ref":"#/components/schemas/VisoUser"},"uniqueItems":true},"primaryContact":{"$ref":"#/components/schemas/PrimaryContact"},"tags":{"type":"array","items":{"type":"string"},"uniqueItems":true},"tier":{"type":"string"},"complianceStandards":{"type":"array","items":{"type":"string","enum":["C5","CCPA","CSA_STAR","CSA_LEVEL2","FEDRAMP","GDPR","GLBA","HIPAA","HITRUST","ISO27001","ISO27017","ISO27018","ISO27701","ISO21434","ISO22301","ISO42001","ISOIEC_2700127002","ISOIEC_2701727002","ISOIEC_2701827002","PCIDSS","PRIVACY_SHIELD","SOC1","SOC2","SOC3","TISAXREPORTLEVEL3"]},"uniqueItems":true},"latestAssessment":{"$ref":"#/components/schemas/Assessment"},"riskAcceptanceStatus":{"type":"string","enum":["RISK_ACCEPTED","REVIEW_NEEDED","REMEDIATION_REQUESTED"]},"externalId":{"type":"string"},"productId":{"type":"string","format":"uuid"},"productName":{"type":"string"},"dimensionCoverage":{"type":"array","items":{"$ref":"#/components/schemas/RiskDimensionCoverageDTO"}}},"required":["name"]},"RiskDimensionCoverageDTO":{"type":"object","properties":{"dimension":{"type":"string"},"inScope":{"type":"boolean"},"coverage":{"type":"string"},"coveragePercentage":{"type":"string"}}},"SlimContextTypeView":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]},"SlimDataTypeView":{"type":"object","properties":{"name":{"type":"string"}},"required":["name"]},"VisoUser":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"businessUnit":{"type":"string"}}},"ContextType":{"type":"object","properties":{"name":{"type":"string"}}},"DataType":{"type":"object","properties":{"name":{"type":"string"}}},"RelationshipUpdateInput":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"homepage":{"type":"string","maxLength":255,"minLength":0,"pattern":"(?i)(?:https?:\\/\\/)?(?:(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\\.){1,126}(?:[a-z]{2,63}|xn--[a-z0-9](?:[a-z0-9-]{0,57}[a-z0-9])?)|\\d{1,3}(?:\\.\\d{1,3}){3})\\.?(?::\\d{1,5})?(?:[\\/?#][^\\s]*)?|"},"description":{"type":"string"},"contextTypes":{"type":"array","items":{"$ref":"#/components/schemas/ContextType"}},"dataTypes":{"type":"array","items":{"$ref":"#/components/schemas/DataType"}},"businessOwnerFirstName":{"type":"string"},"businessOwnerLastName":{"type":"string"},"businessOwnerEmail":{"type":"string"},"assessmentLeadFirstName":{"type":"string"},"assessmentLeadLastName":{"type":"string"},"assessmentLeadEmail":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}},"externalId":{"type":"string"},"productName":{"type":"string","maxLength":255,"minLength":0},"tier":{"type":"integer","format":"int32","maximum":5,"minimum":1}}},"RelationshipQuestionnairesUpdateInput":{"type":"object","description":"Replaces the relationship's enabled-questionnaire list. Every active organization-level questionnaire not included in `enabledQuestionnaireIds` is marked disabled for the relationship, overriding the organization-level default.","properties":{"enabledQuestionnaireIds":{"type":"array","description":"Ids of questionnaires to enable for this relationship. Each id must reference an active organization-level questionnaire returned by `GET /questionnaires` or `GET /relationships/{id}/questionnaires`; unknown ids return 404. Pass an empty set to disable all questionnaires for the relationship.","items":{"type":"string","format":"uuid"},"uniqueItems":true}},"required":["enabledQuestionnaireIds"]},"RelationshipQuestionnaireView":{"type":"object","description":"A questionnaire available to your organization, with the effective enabled state for a specific relationship.","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"enabled":{"type":"boolean","description":"True if this questionnaire will be answered when an assessment is started for this relationship. Reflects relationship-level overrides, falling back to the organization-level enabled flag when no override exists."},"aiOnly":{"type":"boolean","description":"If true, the questionnaire is answered by AI by default and is not sent to the vendor for manual response when assessing. It can still be explicitly selected for manual response by passing its id in the `questionnaires` field on the Start Assessment endpoint."},"createdDate":{"type":"string","format":"date-time"}}},"ArtifactUpdateSettings":{"type":"object","properties":{"artifactUpdateType":{"type":"string","enum":["MANUAL","AUTOMATIC","NONE"]}},"required":["artifactUpdateType"]},"LifecycleManagementUpdateRequest":{"type":"object","properties":{"artifactUpdateSettings":{"$ref":"#/components/schemas/ArtifactUpdateSettings"},"recertificationSettings":{"$ref":"#/components/schemas/RecertificationSettings"}}},"RecertificationSettings":{"type":"object","properties":{"recertificationType":{"type":"string","enum":["MANUAL","AUTOMATIC","NONE"]},"recertificationDate":{"type":"string","format":"date-time"},"reviewFrequency":{"type":"string","enum":["THREE_YEARS","TWO_YEARS","ANNUAL","SEMIANNUAL","QUARTERLY"]}},"required":["recertificationDate","recertificationType","reviewFrequency"]},"RelationshipOnboardRequest":{"type":"object","properties":{"approvalSummary":{"type":"string"},"lifecycleManagementUpdateRequest":{"$ref":"#/components/schemas/LifecycleManagementUpdateRequest"}}},"RelationshipAcceptRiskRequest":{"type":"object","description":"Request for accepting the risk of a relationship. inherentRiskOverride and residualRiskOverride must be provided together or not at all, and must be LOW, MEDIUM, HIGH or EXTREME. Omitting both removes any existing risk override.","properties":{"riskReviewNote":{"type":"string","description":"Note explaining the risk acceptance decision"},"inherentRiskOverride":{"type":"string","description":"Inherent risk level to apply as an override. Required if residualRiskOverride is provided.","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]},"residualRiskOverride":{"type":"string","description":"Residual risk level to apply as an override. Required if inherentRiskOverride is provided.","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]}}},"SecurityScorecardReportCreateInput":{"type":"object","properties":{"vendorDomain":{"type":"string"},"reportDate":{"type":"string","format":"date-time"},"link":{"type":"string"},"grade":{"type":"string"},"domain":{"type":"string"},"score":{"type":"integer","format":"int32"}},"required":["grade"]},"ExternalIntelligenceReportClientView":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"clientOrgId":{"type":"integer","format":"int64"},"clientOrgName":{"type":"string"},"vendorOrgId":{"type":"integer","format":"int64"},"vendorOrgName":{"type":"string"},"vendorOrgDescription":{"type":"string"},"vendorOrgFaviconUrl":{"type":"string"},"vendorDomains":{"type":"array","items":{"type":"string"},"uniqueItems":true},"source":{"type":"string","enum":["SECURITY_SCORECARD","BITSIGHT","RECORDED_FUTURE"]},"reportDate":{"type":"string","format":"date-time"},"link":{"type":"string"},"rating":{"type":"string"},"typeName":{"type":"string"},"guid":{"type":"string"},"customId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"primaryDomain":{"type":"string"},"ratingRange":{"type":"string"},"ratingColor":{"type":"string"},"confidence":{"type":"string"},"ratingValue":{"type":"integer","format":"int32"},"grade":{"type":"string"},"domain":{"type":"string"},"score":{"type":"integer","format":"int32"},"triggeredRuleCount":{"type":"integer","format":"int32"},"maxRuleCount":{"type":"integer","format":"int32"},"firstSeen":{"type":"string","format":"date-time"},"lastSeen":{"type":"string","format":"date-time"},"criticalityLabel":{"type":"string"},"entityType":{"type":"string"},"entity":{"type":"string"},"riskScore":{"type":"integer","format":"int32"},"riskLevel":{"type":"string"},"summary":{"type":"string"}}},"RecordedFutureReportCreateInput":{"type":"object","properties":{"vendorDomain":{"type":"string"},"reportDate":{"type":"string","format":"date-time"},"link":{"type":"string"},"entityType":{"type":"string"},"entity":{"type":"string"},"riskScore":{"type":"integer","format":"int32"},"riskLevel":{"type":"string"},"firstSeen":{"type":"string","format":"date-time"},"lastSeen":{"type":"string","format":"date-time"},"triggeredRuleCount":{"type":"integer","format":"int32"},"maxRuleCount":{"type":"integer","format":"int32"},"summary":{"type":"string"},"criticalityLabel":{"type":"string"}},"required":["entity","entityType","riskLevel","riskScore"]},"BitsightReportCreateInput":{"type":"object","properties":{"vendorDomain":{"type":"string"},"reportDate":{"type":"string","format":"date-time"},"link":{"type":"string"},"guid":{"type":"string"},"customId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"primaryDomain":{"type":"string"},"ratingRange":{"type":"string"},"ratingColor":{"type":"string"},"confidence":{"type":"string"},"rating":{"type":"integer","format":"int32"}},"required":["guid"]},"UpdateAssessmentSummaryInput":{"type":"object","properties":{"summary":{"type":"string","description":"The edited summary, in the format named by 'format'","maxLength":1000000,"minLength":0},"format":{"type":"string","default":"html","description":"The format 'summary' is written in. Markdown is rendered with the report's own styling; HTML is accepted\nas-is. Either way the content is sanitized before it is stored.","enum":["html","markdown"]},"version":{"type":"string","description":"The 'version' returned when the summary was read. When given, the update is rejected with 409 Conflict if\nthe summary has changed since then (for example, because it was regenerated), instead of overwriting it."}},"required":["summary"]},"AssessmentSummaryView":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"The assessment's identifier"},"summary":{"type":"string","description":"The assessment summary, as HTML by default or as Markdown when 'format=markdown' is requested"},"version":{"type":"string","description":"Identifies this revision of the summary. Pass it back when updating the summary to have the update rejected\nif the summary has changed in the meantime."},"edited":{"type":"boolean","description":"Whether the summary has been edited since it was generated"}}},"UpdateAssessmentFollowupInput":{"type":"object","properties":{"followupType":{"type":"string","enum":["MANUAL","AUTOMATIC","CONCIERGE"]},"followupRiskThreshold":{"type":"string","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]},"followupTimeline":{"type":"string","enum":["SEVEN_DAYS","FOURTEEN_DAYS","THIRTY_DAYS","SIXTY_DAYS","NINETY_DAYS"]}},"required":["followupType"]},"UpdateAssessmentExpirationInput":{"type":"object","properties":{"expirationDate":{"type":"string","format":"date-time"}},"required":["expirationDate"]},"UserCreateRequest":{"type":"object","properties":{"email":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"businessUnit":{"type":"string","description":"Name of the business unit to assign the user to (case-insensitive). Defaults to the Unassigned business unit when omitted.","example":"Engineering","maxLength":255,"minLength":0}},"required":["email","firstName","lastName"]},"User":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"status":{"type":"string","enum":["ACTIVE","INACTIVE"]},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"businessUnit":{"type":"string"}}},"TagsCreateInput":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"},"minItems":1}},"required":["tags"]},"ExternalAssessment":{"type":"object","properties":{"reviewFrequency":{"type":"string","enum":["THREE_YEARS","TWO_YEARS","ANNUAL","SEMIANNUAL","QUARTERLY"]},"recertificationType":{"type":"string","enum":["MANUAL","AUTOMATIC","NONE"]},"assessmentCompletionDate":{"type":"string","format":"date"},"assessmentStartDate":{"type":"string","format":"date"},"automaticArtifactUpdates":{"type":"boolean"},"inherentRiskLevel":{"type":"string","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]},"residualRiskLevel":{"type":"string","enum":["NO_CONTEXT","LOW","MEDIUM","HIGH","EXTREME"]}},"required":["assessmentCompletionDate","assessmentStartDate","automaticArtifactUpdates","inherentRiskLevel","recertificationType","residualRiskLevel","reviewFrequency"]},"RelationshipCreateInput":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"homepage":{"type":"string","maxLength":255,"minLength":0,"pattern":"(?i)(?:https?:\\/\\/)?(?:(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\\.){1,126}(?:[a-z]{2,63}|xn--[a-z0-9](?:[a-z0-9-]{0,57}[a-z0-9])?)|\\d{1,3}(?:\\.\\d{1,3}){3})\\.?(?::\\d{1,5})?(?:[\\/?#][^\\s]*)?|"},"description":{"type":"string"},"contextTypes":{"type":"array","items":{"$ref":"#/components/schemas/ContextType"}},"dataTypes":{"type":"array","items":{"$ref":"#/components/schemas/DataType"}},"businessOwnerFirstName":{"type":"string"},"businessOwnerLastName":{"type":"string"},"businessOwnerEmail":{"type":"string"},"assessmentLeadFirstName":{"type":"string"},"assessmentLeadLastName":{"type":"string"},"assessmentLeadEmail":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}},"externalId":{"type":"string"},"productName":{"type":"string","maxLength":255,"minLength":0},"tier":{"type":"integer","format":"int32","maximum":5,"minimum":1},"thirdPartyContact":{"$ref":"#/components/schemas/ThirdPartyContact"},"externalAssessment":{"$ref":"#/components/schemas/ExternalAssessment"},"instantAnalysis":{"type":"boolean"}}},"ThirdPartyContact":{"type":"object","properties":{"email":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"}},"required":["email","firstName","lastName"]},"RelationshipSearchInput":{"type":"object","properties":{"domains":{"type":"array","items":{"type":"string"},"uniqueItems":true},"name":{"type":"string"},"externalId":{"type":"string"},"statuses":{"type":"array","items":{"type":"string"}},"assessmentStatuses":{"type":"array","items":{"type":"string"}},"riskAcceptanceStatuses":{"type":"array","items":{"type":"string"}},"residualRiskLevels":{"type":"array","items":{"type":"string"}},"inherentRiskLevels":{"type":"array","items":{"type":"string"}},"minScore":{"type":"number","format":"float"},"maxScore":{"type":"number","format":"float"},"businessUnitIds":{"type":"array","items":{"type":"integer","format":"int64"}},"vendorTierIds":{"type":"array","items":{"type":"integer","format":"int64"}},"businessOwnerIds":{"type":"array","items":{"type":"integer","format":"int64"}},"creatorIds":{"type":"array","items":{"type":"integer","format":"int64"}},"primaryContactIds":{"type":"array","items":{"type":"integer","format":"int64"}},"tags":{"type":"array","items":{"type":"string"}},"createdAfter":{"type":"string","format":"date-time"},"createdBefore":{"type":"string","format":"date-time"},"recertificationAfter":{"type":"string","format":"date-time"},"recertificationBefore":{"type":"string","format":"date-time"},"onboardedAfter":{"type":"string","format":"date-time"},"onboardedBefore":{"type":"string","format":"date-time"},"assessmentCompletedAfter":{"type":"string","format":"date-time"},"assessmentCompletedBefore":{"type":"string","format":"date-time"}}},"Pageable":{"type":"object","properties":{"page":{"type":"integer","format":"int32","minimum":0},"size":{"type":"integer","format":"int32","minimum":1},"sort":{"type":"array","items":{"type":"string"}}}},"CreateRelationshipByDomainRequest":{"type":"object","properties":{"domain":{"type":"string","minLength":1},"vendorName":{"type":"string","minLength":1},"product":{"type":"string"},"description":{"type":"string"},"instantAnalysis":{"type":"boolean"}},"required":["domain","vendorName"]},"BulkExternalIntelligenceReportResponse":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int32"},"created":{"type":"array","items":{"type":"string","format":"uuid"},"uniqueItems":true},"backgroundedCount":{"type":"integer","format":"int32"},"backgrounded":{"type":"boolean"},"totalFailureCount":{"type":"integer","format":"int32"}}},"VisoAgentClientChatRequest":{"type":"object","properties":{"conversationId":{"type":["string","null"],"format":"uuid"},"message":{"type":"string","minLength":1}},"required":["message"]},"VisoAgentClientApiChatResponse":{"type":"object","properties":{"conversationId":{"type":"string","format":"uuid"},"reply":{"type":"string"}}},"AuditLogFilterRequest":{"type":"object","description":"Request for filtering audit log events by specific types","properties":{"start":{"type":"string","format":"date-time","description":"Start date for the audit log query"},"end":{"type":"string","format":"date-time","description":"End date for the audit log query"},"eventTypes":{"type":"array","description":"Set of specific event types to retrieve. If null or empty, returns all event types.\nAllowed values (by category):\nUSER_: USER_LOGGED_IN, USER_LOGGED_OUT, EXISTING_USER_FIRST_LOG_IN, NEW_USER_FIRST_LOG_IN, USER_UPLOADED_ARTIFACT, USER_DOWNLOADED_ARTIFACT, USER_EXPORTED_ARTIFACT, USER_CREATED, USER_UPDATED, USER_SUBSCRIBED, USER_UNSUBSCRIBED, USER_DEFAULT_SUBSCRIBER_ADDED, USER_DEFAULT_SUBSCRIBER_REMOVED\nORG_: ORG_CREATED, ORG_UPDATED, ORG_FIRST_LOGIN, ORG_OFFBOARD_IN_PROGRESS, ORG_OFFBOARD_SUCCESS, ORG_OFFBOARD_FAILED, ORG_SUBDOMAIN_SET, ORG_ASSESSMENT_DEFAULTS_CREATED, ORG_ASSESSMENT_DEFAULTS_UPDATED\nASSESSMENT_: ASSESSMENT_CREATED, ASSESSMENT_UPDATED, ASSESSMENT_COMPLETED, ASSESSMENT_CANCELLED, ASSESSMENT_CANCELLED_BY_VENDOR, ASSESSMENT_CANCELLED_BY_CLIENT, ASSESSMENT_CANCELLED_BY_AUDITOR, ASSESSMENT_CANCELLED_BY_ADMIN, ASSESSMENT_AUTOMATICALLY_CANCELLED, ASSESSMENT_EXPIRED, ASSESSMENT_AUDIT_COMPLETED, ASSESSMENT_STATUS_CHANGED\nRELATIONSHIP_: RELATIONSHIP_CREATED, RELATIONSHIP_ARCHIVED, RELATIONSHIP_ONBOARDED, RELATIONSHIP_UPDATED, RISK_ACCEPTED, RISK_ACCEPTANCE_REVOKED, PRIMARY_CONTACT_CHANGED","items":{"type":"string","enum":["USER_LOGGED_IN","USER_LOGGED_OUT","EXISTING_USER_FIRST_LOG_IN","NEW_USER_FIRST_LOG_IN","USER_UPLOADED_ARTIFACT","USER_DOWNLOADED_ARTIFACT","USER_EXPORTED_ARTIFACT","USER_CREATED","USER_UPDATED","USER_SUBSCRIBED","USER_UNSUBSCRIBED","USER_DEFAULT_SUBSCRIBER_ADDED","USER_DEFAULT_SUBSCRIBER_REMOVED","ORG_CREATED","ORG_UPDATED","ORG_FIRST_LOGIN","ORG_OFFBOARD_IN_PROGRESS","ORG_OFFBOARD_SUCCESS","ORG_OFFBOARD_FAILED","ORG_SUBDOMAIN_SET","ORG_ASSESSMENT_DEFAULTS_CREATED","ORG_ASSESSMENT_DEFAULTS_UPDATED","ASSESSMENT_CREATED","ASSESSMENT_UPDATED","ASSESSMENT_COMPLETED","ASSESSMENT_CANCELLED","ASSESSMENT_EXPIRED","ASSESSMENT_AUDIT_COMPLETED","ASSESSMENT_STATUS_CHANGED","RELATIONSHIP_CREATED","RELATIONSHIP_ARCHIVED","RELATIONSHIP_ONBOARDED","RELATIONSHIP_UPDATED","RISK_ACCEPTED","RISK_ACCEPTANCE_REVOKED","PRIMARY_CONTACT_CHANGED"]},"uniqueItems":true}},"required":["end","start"]},"UserAuditEvent":{"type":"object","properties":{"auditEventType":{"type":"string","enum":["USER_LOGGED_OUT","USER_CREATED","USER_UPDATED","USER_FIRST_LOG_IN","EXISTING_USER_FIRST_LOG_IN","NEW_USER_FIRST_LOG_IN","USER_LOGGED_IN","USER_DEFAULT_SUBSCRIBER_ADDED","USER_DEFAULT_SUBSCRIBER_REMOVED","USER_SUBSCRIBED","USER_UNSUBSCRIBED","USER_UPLOADED_ARTIFACT","USER_DOWNLOADED_ARTIFACT","USER_EXPORTED_ARTIFACT"]},"dateTime":{"type":"string","format":"date-time"},"email":{"type":"string"},"userId":{"type":"integer","format":"int64"}}},"AuditEvent":{"type":"object","properties":{"auditEventType":{"$ref":"#/components/schemas/AuditEventType"},"dateTime":{"type":"string","format":"date-time"}}},"AuditEventType":{"type":"object","properties":{"name":{"type":"string"}}},"AggregateControlDomainSummary":{"type":"object","properties":{"domain":{"type":"string"},"highestRiskLevel":{"type":"string"},"affectedRelationships":{"type":"array","items":{"type":"integer","format":"int64"}}}},"ControlDomainSummary":{"type":"object","properties":{"domain":{"type":"string"},"riskLevel":{"type":"string"}}},"RelationshipEntry":{"type":"object","properties":{"relationshipId":{"type":"integer","format":"int64"},"productServiceId":{"type":"string","format":"uuid"},"productServiceName":{"type":"string"},"assessmentStatus":{"type":"string","enum":["NOT_ASSESSED","AWAITING_REMEDIATION","STARTED","REVIEW_STARTED","AUDIT_COMPLETED","COMPLETED","CANCELLED","DELETED","COLLECTING_INFORMATION","EXPIRED"]},"riskLevel":{"type":"string"},"riskScore":{"type":"number","format":"float"},"lastAssessedAt":{"type":"string","format":"date-time"},"controlDomainSummary":{"type":"array","items":{"$ref":"#/components/schemas/ControlDomainSummary"}}}},"VendorRiskSummaryResponse":{"type":"object","properties":{"vendorId":{"type":"integer","format":"int64"},"vendorName":{"type":"string"},"evaluatedAt":{"type":"string","format":"date-time"},"overallRiskLevel":{"type":"string"},"overallRiskScore":{"type":"number","format":"float"},"relationshipCount":{"type":"integer","format":"int32"},"relationships":{"type":"array","items":{"$ref":"#/components/schemas/RelationshipEntry"}},"aggregateControlDomainSummary":{"type":"array","items":{"$ref":"#/components/schemas/AggregateControlDomainSummary"}},"summaryText":{"type":"string"},"emptySummaryReason":{"type":"string"},"summaryGeneratedAt":{"type":"string","format":"date-time"}}},"RiskAdvisoryClientView":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"vendorOrgId":{"type":"integer","format":"int64"},"vendorOrgName":{"type":"string"},"vendorOrgDescription":{"type":"string"},"vendorOrgFaviconUrl":{"type":"string"},"type":{"type":"string","enum":["SECURITY","COMPLIANCE","VULNERABILITY","SEC_8K","LEGAL","GEOPOLITICAL","FINANCIAL","OPERATIONAL"]},"title":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"publishedDate":{"type":"string","format":"date"},"material":{"type":"boolean"},"vendorName":{"type":"string"},"productName":{"type":"string"},"severity":{"type":"number","format":"double"},"remediation":{"type":"string"}}},"StreamingResponseBody":{},"QuestionnaireView":{"type":"object","description":"A questionnaire available to your organization","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"enabled":{"type":"boolean","description":"If true, the questionnaire is enabled at the organization level and applied by default to relationships that have not configured their own questionnaire list."},"aiOnly":{"type":"boolean","description":"If true, the questionnaire is answered by AI by default and is not sent to the vendor for manual response when assessing. It can still be explicitly selected for manual response by passing its id in the `questionnaires` field on the Start Assessment endpoint."},"createdDate":{"type":"string","format":"date-time"}}},"VendorDirectoryView":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"homepage":{"type":"string"},"description":{"type":"string"},"faviconUrl":{"type":"string"},"domains":{"type":"array","items":{"type":"string"},"uniqueItems":true}}},"DataTypeView":{"type":"object","properties":{"description":{"type":"string"},"name":{"type":"string"}},"required":["name"]},"BusinessUnit":{"type":"object","properties":{"name":{"type":"string","description":"Business unit name. Usable as the businessUnit value when creating a user."},"id":{"type":"integer","format":"int64","description":"Business unit ID. Usable in relationship search via businessUnitIds."}}},"ContextTypeView":{"type":"object","properties":{"description":{"type":"string"},"name":{"type":"string"}},"required":["name"]}}}}